Subject: [Tigers] Need lower control arm

From: Brett Bonner via Tigers <[email-masked]>
Date: Mon, 24 Jul 2023 08:56:27 -0400

HI - I am restoring an all original (except for paint and some interior) 1965 carnival red Mark 1.   We have had it in the family for 55 years.  

The right (passenger) lower control are and fulcrum pin is bent.  I have found and purchased the fulcrum pin.   But I need a lower control arm. 

Do any of you know where I can get a lower control arm?

Thank you. 

Brett Bonner 513-646-6461.  Westerville Ohio.  

Sent from mobile - please excuse errors :)
_______________________________________________

[email-masked]

Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]